# Google Wallet API

API for issuers to save and manage Google Wallet Objects.

- [REST Resource: eventticketclass](https://developers.google.com/wallet/reference/rest#eventticketclass)
- [REST Resource: eventticketobject](https://developers.google.com/wallet/reference/rest#eventticketobject)
- [REST Resource: flightclass](https://developers.google.com/wallet/reference/rest#flightclass)
- [REST Resource: flightobject](https://developers.google.com/wallet/reference/rest#flightobject)
- [REST Resource: genericclass](https://developers.google.com/wallet/reference/rest#genericclass)
- [REST Resource: genericobject](https://developers.google.com/wallet/reference/rest#genericobject)
- [REST Resource: giftcardclass](https://developers.google.com/wallet/reference/rest#giftcardclass)
- [REST Resource: giftcardobject](https://developers.google.com/wallet/reference/rest#giftcardobject)
- [REST Resource: issuer](https://developers.google.com/wallet/reference/rest#issuer)
- [REST Resource: jwt](https://developers.google.com/wallet/reference/rest#jwt)
- [REST Resource: loyaltyclass](https://developers.google.com/wallet/reference/rest#loyaltyclass)
- [REST Resource: loyaltyobject](https://developers.google.com/wallet/reference/rest#loyaltyobject)
- [REST Resource: media](https://developers.google.com/wallet/reference/rest#media)
- [REST Resource: offerclass](https://developers.google.com/wallet/reference/rest#offerclass)
- [REST Resource: offerobject](https://developers.google.com/wallet/reference/rest#offerobject)
- [REST Resource: permissions](https://developers.google.com/wallet/reference/rest#permissions)
- [REST Resource: smarttap](https://developers.google.com/wallet/reference/rest#smarttap)
- [REST Resource: transitclass](https://developers.google.com/wallet/reference/rest#transitclass)
- [REST Resource: transitobject](https://developers.google.com/wallet/reference/rest#transitobject)
- [REST Resource: walletobjects.v1.privateContent](https://developers.google.com/wallet/reference/rest#walletobjects.v1.privateContent)

## Service: walletobjects.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://walletobjects.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://walletobjects.googleapis.com`

## REST Resource: [eventticketclass](https://developers.google.com/wallet/reference/rest/v1/eventticketclass)

| Methods ||
|---|---|
| `https://developers.google.com/wallet/reference/rest/v1/eventticketclass/addmessage` | `POST /walletobjects/v1/eventTicketClass/{resourceId}/addMessage` Adds a message to the event ticket class referenced by the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/eventticketclass/get` | `GET /walletobjects/v1/eventTicketClass/{resourceId}` Returns the event ticket class with the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/eventticketclass/insert` | `POST /walletobjects/v1/eventTicketClass` Inserts an event ticket class with the given ID and properties. |
| `https://developers.google.com/wallet/reference/rest/v1/eventticketclass/list` | `GET /walletobjects/v1/eventTicketClass` Returns a list of all event ticket classes for a given issuer ID. |
| `https://developers.google.com/wallet/reference/rest/v1/eventticketclass/patch` | `PATCH /walletobjects/v1/eventTicketClass/{resourceId}` Updates the event ticket class referenced by the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/eventticketclass/update` | `PUT /walletobjects/v1/eventTicketClass/{resourceId}` Updates the event ticket class referenced by the given class ID. |

## REST Resource: [eventticketobject](https://developers.google.com/wallet/reference/rest/v1/eventticketobject)

| Methods ||
|---|---|
| `https://developers.google.com/wallet/reference/rest/v1/eventticketobject/addmessage` | `POST /walletobjects/v1/eventTicketObject/{resourceId}/addMessage` Adds a message to the event ticket object referenced by the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/eventticketobject/get` | `GET /walletobjects/v1/eventTicketObject/{resourceId}` Returns the event ticket object with the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/eventticketobject/insert` | `POST /walletobjects/v1/eventTicketObject` Inserts an event ticket object with the given ID and properties. |
| `https://developers.google.com/wallet/reference/rest/v1/eventticketobject/list` | `GET /walletobjects/v1/eventTicketObject` Returns a list of all event ticket objects for a given issuer ID. |
| `https://developers.google.com/wallet/reference/rest/v1/eventticketobject/modifylinkedofferobjects` | `POST /walletobjects/v1/eventTicketObject/{resourceId}/modifyLinkedOfferObjects` Modifies linked offer objects for the event ticket object with the given ID. |
| `https://developers.google.com/wallet/reference/rest/v1/eventticketobject/patch` | `PATCH /walletobjects/v1/eventTicketObject/{resourceId}` Updates the event ticket object referenced by the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/eventticketobject/update` | `PUT /walletobjects/v1/eventTicketObject/{resourceId}` Updates the event ticket object referenced by the given object ID. |

## REST Resource: [flightclass](https://developers.google.com/wallet/reference/rest/v1/flightclass)

| Methods ||
|---|---|
| `https://developers.google.com/wallet/reference/rest/v1/flightclass/addmessage` | `POST /walletobjects/v1/flightClass/{resourceId}/addMessage` Adds a message to the flight class referenced by the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/flightclass/get` | `GET /walletobjects/v1/flightClass/{resourceId}` Returns the flight class with the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/flightclass/insert` | `POST /walletobjects/v1/flightClass` Inserts an flight class with the given ID and properties. |
| `https://developers.google.com/wallet/reference/rest/v1/flightclass/list` | `GET /walletobjects/v1/flightClass` Returns a list of all flight classes for a given issuer ID. |
| `https://developers.google.com/wallet/reference/rest/v1/flightclass/patch` | `PATCH /walletobjects/v1/flightClass/{resourceId}` Updates the flight class referenced by the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/flightclass/update` | `PUT /walletobjects/v1/flightClass/{resourceId}` Updates the flight class referenced by the given class ID. |

## REST Resource: [flightobject](https://developers.google.com/wallet/reference/rest/v1/flightobject)

| Methods ||
|---|---|
| `https://developers.google.com/wallet/reference/rest/v1/flightobject/addmessage` | `POST /walletobjects/v1/flightObject/{resourceId}/addMessage` Adds a message to the flight object referenced by the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/flightobject/get` | `GET /walletobjects/v1/flightObject/{resourceId}` Returns the flight object with the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/flightobject/insert` | `POST /walletobjects/v1/flightObject` Inserts an flight object with the given ID and properties. |
| `https://developers.google.com/wallet/reference/rest/v1/flightobject/list` | `GET /walletobjects/v1/flightObject` Returns a list of all flight objects for a given issuer ID. |
| `https://developers.google.com/wallet/reference/rest/v1/flightobject/patch` | `PATCH /walletobjects/v1/flightObject/{resourceId}` Updates the flight object referenced by the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/flightobject/update` | `PUT /walletobjects/v1/flightObject/{resourceId}` Updates the flight object referenced by the given object ID. |

## REST Resource: [genericclass](https://developers.google.com/wallet/reference/rest/v1/genericclass)

| Methods ||
|---|---|
| `https://developers.google.com/wallet/reference/rest/v1/genericclass/addmessage` | `POST /walletobjects/v1/genericClass/{resourceId}/addMessage` Adds a message to the generic class referenced by the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/genericclass/get` | `GET /walletobjects/v1/genericClass/{resourceId}` Returns the generic class with the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/genericclass/insert` | `POST /walletobjects/v1/genericClass` Inserts a generic class with the given ID and properties. |
| `https://developers.google.com/wallet/reference/rest/v1/genericclass/list` | `GET /walletobjects/v1/genericClass` Returns a list of all generic classes for a given issuer ID. |
| `https://developers.google.com/wallet/reference/rest/v1/genericclass/patch` | `PATCH /walletobjects/v1/genericClass/{resourceId}` Updates the generic class referenced by the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/genericclass/update` | `PUT /walletobjects/v1/genericClass/{resourceId}` Updates the Generic class referenced by the given class ID. |

## REST Resource: [genericobject](https://developers.google.com/wallet/reference/rest/v1/genericobject)

| Methods ||
|---|---|
| `https://developers.google.com/wallet/reference/rest/v1/genericobject/addmessage` | `POST /walletobjects/v1/genericObject/{resourceId}/addMessage` Adds a message to the generic object referenced by the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/genericobject/get` | `GET /walletobjects/v1/genericObject/{resourceId}` Returns the generic object with the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/genericobject/insert` | `POST /walletobjects/v1/genericObject` Inserts a generic object with the given ID and properties. |
| `https://developers.google.com/wallet/reference/rest/v1/genericobject/list` | `GET /walletobjects/v1/genericObject` Returns a list of all generic objects for a given issuer ID. |
| `https://developers.google.com/wallet/reference/rest/v1/genericobject/patch` | `PATCH /walletobjects/v1/genericObject/{resourceId}` Updates the generic object referenced by the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/genericobject/update` | `PUT /walletobjects/v1/genericObject/{resourceId}` Updates the generic object referenced by the given object ID. |

## REST Resource: [giftcardclass](https://developers.google.com/wallet/reference/rest/v1/giftcardclass)

| Methods ||
|---|---|
| `https://developers.google.com/wallet/reference/rest/v1/giftcardclass/addmessage` | `POST /walletobjects/v1/giftCardClass/{resourceId}/addMessage` Adds a message to the gift card class referenced by the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/giftcardclass/get` | `GET /walletobjects/v1/giftCardClass/{resourceId}` Returns the gift card class with the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/giftcardclass/insert` | `POST /walletobjects/v1/giftCardClass` Inserts an gift card class with the given ID and properties. |
| `https://developers.google.com/wallet/reference/rest/v1/giftcardclass/list` | `GET /walletobjects/v1/giftCardClass` Returns a list of all gift card classes for a given issuer ID. |
| `https://developers.google.com/wallet/reference/rest/v1/giftcardclass/patch` | `PATCH /walletobjects/v1/giftCardClass/{resourceId}` Updates the gift card class referenced by the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/giftcardclass/update` | `PUT /walletobjects/v1/giftCardClass/{resourceId}` Updates the gift card class referenced by the given class ID. |

## REST Resource: [giftcardobject](https://developers.google.com/wallet/reference/rest/v1/giftcardobject)

| Methods ||
|---|---|
| `https://developers.google.com/wallet/reference/rest/v1/giftcardobject/addmessage` | `POST /walletobjects/v1/giftCardObject/{resourceId}/addMessage` Adds a message to the gift card object referenced by the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/giftcardobject/get` | `GET /walletobjects/v1/giftCardObject/{resourceId}` Returns the gift card object with the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/giftcardobject/insert` | `POST /walletobjects/v1/giftCardObject` Inserts an gift card object with the given ID and properties. |
| `https://developers.google.com/wallet/reference/rest/v1/giftcardobject/list` | `GET /walletobjects/v1/giftCardObject` Returns a list of all gift card objects for a given issuer ID. |
| `https://developers.google.com/wallet/reference/rest/v1/giftcardobject/patch` | `PATCH /walletobjects/v1/giftCardObject/{resourceId}` Updates the gift card object referenced by the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/giftcardobject/update` | `PUT /walletobjects/v1/giftCardObject/{resourceId}` Updates the gift card object referenced by the given object ID. |

## REST Resource: [issuer](https://developers.google.com/wallet/reference/rest/v1/issuer)

| Methods ||
|---|---|
| `https://developers.google.com/wallet/reference/rest/v1/issuer/get` | `GET /walletobjects/v1/issuer/{resourceId}` Returns the issuer with the given issuer ID. |
| `https://developers.google.com/wallet/reference/rest/v1/issuer/insert` | `POST /walletobjects/v1/issuer` Inserts an issuer with the given ID and properties. |
| `https://developers.google.com/wallet/reference/rest/v1/issuer/list` | `GET /walletobjects/v1/issuer` Returns a list of all issuers shared to the caller. |
| `https://developers.google.com/wallet/reference/rest/v1/issuer/patch` | `PATCH /walletobjects/v1/issuer/{resourceId}` Updates the issuer referenced by the given issuer ID. |
| `https://developers.google.com/wallet/reference/rest/v1/issuer/update` | `PUT /walletobjects/v1/issuer/{resourceId}` Updates the issuer referenced by the given issuer ID. |

## REST Resource: [jwt](https://developers.google.com/wallet/reference/rest/v1/jwt)

| Methods ||
|---|---|
| `https://developers.google.com/wallet/reference/rest/v1/jwt/insert` | `POST /walletobjects/v1/jwt` Inserts the resources in the JWT. |

## REST Resource: [loyaltyclass](https://developers.google.com/wallet/reference/rest/v1/loyaltyclass)

| Methods ||
|---|---|
| `https://developers.google.com/wallet/reference/rest/v1/loyaltyclass/addmessage` | `POST /walletobjects/v1/loyaltyClass/{resourceId}/addMessage` Adds a message to the loyalty class referenced by the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/loyaltyclass/get` | `GET /walletobjects/v1/loyaltyClass/{resourceId}` Returns the loyalty class with the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/loyaltyclass/insert` | `POST /walletobjects/v1/loyaltyClass` Inserts an loyalty class with the given ID and properties. |
| `https://developers.google.com/wallet/reference/rest/v1/loyaltyclass/list` | `GET /walletobjects/v1/loyaltyClass` Returns a list of all loyalty classes for a given issuer ID. |
| `https://developers.google.com/wallet/reference/rest/v1/loyaltyclass/patch` | `PATCH /walletobjects/v1/loyaltyClass/{resourceId}` Updates the loyalty class referenced by the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/loyaltyclass/update` | `PUT /walletobjects/v1/loyaltyClass/{resourceId}` Updates the loyalty class referenced by the given class ID. |

## REST Resource: [loyaltyobject](https://developers.google.com/wallet/reference/rest/v1/loyaltyobject)

| Methods ||
|---|---|
| `https://developers.google.com/wallet/reference/rest/v1/loyaltyobject/addmessage` | `POST /walletobjects/v1/loyaltyObject/{resourceId}/addMessage` Adds a message to the loyalty object referenced by the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/loyaltyobject/get` | `GET /walletobjects/v1/loyaltyObject/{resourceId}` Returns the loyalty object with the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/loyaltyobject/insert` | `POST /walletobjects/v1/loyaltyObject` Inserts an loyalty object with the given ID and properties. |
| `https://developers.google.com/wallet/reference/rest/v1/loyaltyobject/list` | `GET /walletobjects/v1/loyaltyObject` Returns a list of all loyalty objects for a given issuer ID. |
| `https://developers.google.com/wallet/reference/rest/v1/loyaltyobject/modifylinkedofferobjects` | `POST /walletobjects/v1/loyaltyObject/{resourceId}/modifyLinkedOfferObjects` Modifies linked offer objects for the loyalty object with the given ID. |
| `https://developers.google.com/wallet/reference/rest/v1/loyaltyobject/patch` | `PATCH /walletobjects/v1/loyaltyObject/{resourceId}` Updates the loyalty object referenced by the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/loyaltyobject/update` | `PUT /walletobjects/v1/loyaltyObject/{resourceId}` Updates the loyalty object referenced by the given object ID. |

## REST Resource: [media](https://developers.google.com/wallet/reference/rest/v1/media)

| Methods ||
|---|---|
| `https://developers.google.com/wallet/reference/rest/v1/media/download` | `GET /walletobjects/v1/transitObject/{resourceId}/downloadRotatingBarcodeValues` Downloads rotating barcode values for the transit object referenced by the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/media/upload` | `POST /walletobjects/v1/transitObject/{resourceId}/uploadRotatingBarcodeValues` `POST /upload/walletobjects/v1/transitObject/{resourceId}/uploadRotatingBarcodeValues` Uploads rotating barcode values for the transit object referenced by the given object ID. |

## REST Resource: [offerclass](https://developers.google.com/wallet/reference/rest/v1/offerclass)

| Methods ||
|---|---|
| `https://developers.google.com/wallet/reference/rest/v1/offerclass/addmessage` | `POST /walletobjects/v1/offerClass/{resourceId}/addMessage` Adds a message to the offer class referenced by the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/offerclass/get` | `GET /walletobjects/v1/offerClass/{resourceId}` Returns the offer class with the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/offerclass/insert` | `POST /walletobjects/v1/offerClass` Inserts an offer class with the given ID and properties. |
| `https://developers.google.com/wallet/reference/rest/v1/offerclass/list` | `GET /walletobjects/v1/offerClass` Returns a list of all offer classes for a given issuer ID. |
| `https://developers.google.com/wallet/reference/rest/v1/offerclass/patch` | `PATCH /walletobjects/v1/offerClass/{resourceId}` Updates the offer class referenced by the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/offerclass/update` | `PUT /walletobjects/v1/offerClass/{resourceId}` Updates the offer class referenced by the given class ID. |

## REST Resource: [offerobject](https://developers.google.com/wallet/reference/rest/v1/offerobject)

| Methods ||
|---|---|
| `https://developers.google.com/wallet/reference/rest/v1/offerobject/addmessage` | `POST /walletobjects/v1/offerObject/{resourceId}/addMessage` Adds a message to the offer object referenced by the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/offerobject/get` | `GET /walletobjects/v1/offerObject/{resourceId}` Returns the offer object with the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/offerobject/insert` | `POST /walletobjects/v1/offerObject` Inserts an offer object with the given ID and properties. |
| `https://developers.google.com/wallet/reference/rest/v1/offerobject/list` | `GET /walletobjects/v1/offerObject` Returns a list of all offer objects for a given issuer ID. |
| `https://developers.google.com/wallet/reference/rest/v1/offerobject/patch` | `PATCH /walletobjects/v1/offerObject/{resourceId}` Updates the offer object referenced by the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/offerobject/update` | `PUT /walletobjects/v1/offerObject/{resourceId}` Updates the offer object referenced by the given object ID. |

## REST Resource: [permissions](https://developers.google.com/wallet/reference/rest/v1/permissions)

| Methods ||
|---|---|
| `https://developers.google.com/wallet/reference/rest/v1/permissions/get` | `GET /walletobjects/v1/permissions/{resourceId}` Returns the permissions for the given issuer id. |
| `https://developers.google.com/wallet/reference/rest/v1/permissions/update` | `PUT /walletobjects/v1/permissions/{resourceId}` Updates the permissions for the given issuer. |

## REST Resource: [smarttap](https://developers.google.com/wallet/reference/rest/v1/smarttap)

| Methods ||
|---|---|
| `https://developers.google.com/wallet/reference/rest/v1/smarttap/insert` | `POST /walletobjects/v1/smartTap` Inserts the smart tap. |

## REST Resource: [transitclass](https://developers.google.com/wallet/reference/rest/v1/transitclass)

| Methods ||
|---|---|
| `https://developers.google.com/wallet/reference/rest/v1/transitclass/addmessage` | `POST /walletobjects/v1/transitClass/{resourceId}/addMessage` Adds a message to the transit class referenced by the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/transitclass/get` | `GET /walletobjects/v1/transitClass/{resourceId}` Returns the transit class with the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/transitclass/insert` | `POST /walletobjects/v1/transitClass` Inserts a transit class with the given ID and properties. |
| `https://developers.google.com/wallet/reference/rest/v1/transitclass/list` | `GET /walletobjects/v1/transitClass` Returns a list of all transit classes for a given issuer ID. |
| `https://developers.google.com/wallet/reference/rest/v1/transitclass/patch` | `PATCH /walletobjects/v1/transitClass/{resourceId}` Updates the transit class referenced by the given class ID. |
| `https://developers.google.com/wallet/reference/rest/v1/transitclass/update` | `PUT /walletobjects/v1/transitClass/{resourceId}` Updates the transit class referenced by the given class ID. |

## REST Resource: [transitobject](https://developers.google.com/wallet/reference/rest/v1/transitobject)

| Methods ||
|---|---|
| `https://developers.google.com/wallet/reference/rest/v1/transitobject/addmessage` | `POST /walletobjects/v1/transitObject/{resourceId}/addMessage` Adds a message to the transit object referenced by the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/transitobject/get` | `GET /walletobjects/v1/transitObject/{resourceId}` Returns the transit object with the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/transitobject/insert` | `POST /walletobjects/v1/transitObject` Inserts an transit object with the given ID and properties. |
| `https://developers.google.com/wallet/reference/rest/v1/transitobject/list` | `GET /walletobjects/v1/transitObject` Returns a list of all transit objects for a given issuer ID. |
| `https://developers.google.com/wallet/reference/rest/v1/transitobject/patch` | `PATCH /walletobjects/v1/transitObject/{resourceId}` Updates the transit object referenced by the given object ID. |
| `https://developers.google.com/wallet/reference/rest/v1/transitobject/update` | `PUT /walletobjects/v1/transitObject/{resourceId}` Updates the transit object referenced by the given object ID. |

## REST Resource: [walletobjects.v1.privateContent](https://developers.google.com/wallet/reference/rest/v1/walletobjects.v1.privateContent)

| Methods ||
|---|---|
| `https://developers.google.com/wallet/reference/rest/v1/walletobjects.v1.privateContent/setPassUpdateNotice` | `POST /walletobjects/v1/privateContent/setPassUpdateNotice` Provide Google with information about awaiting private pass update. |